Regression: GWT compiler fails after upgrading from Lombok 1.14.0 to 1.14.2 #734

Closed
lombokissues opened this Issue Jul 14, 2015 · 3 comments

Projects

None yet

1 participant

@lombokissues
Collaborator

Migrated from Google Code (issue 699)

@lombokissues
Collaborator

👤 maia@lucidfox.org   🕗 Jun 23, 2014 at 06:36 UTC

I run the GWT 2.6.0 compiler using

java -javaagent:(path)/lombok.jar -cp (classpath including lombok.jar) com.google.gwt.dev.Compiler module

This worked well for all versions up to and including 1.14.0. However, with 1.14.2, I get lots of errors like this:

[ERROR] Line 1: Lombok annotation handler class lombok.eclipse.handlers.HandleGetter failed - See error log.
[ERROR] Line 1: Lombok annotation handler class lombok.eclipse.handlers.HandleSetter failed - See error log.
[ERROR] Line 1: Lombok annotation handler class lombok.eclipse.handlers.HandleToString failed - See error log.
[ERROR] Line 1: Lombok visitor handler class lombok.eclipse.handlers.HandleVal failed - See error log.

@lombokissues
Collaborator

👤 r.spilker   🕗 Jun 24, 2014 at 18:46 UTC

We managed to reproduce it. We just fixed it; this fix will be in 1.14.4.

NB: We had to manually clear out the directory 'gwt-unitCache'; ant clean didn't do this job! No idea what's going on there, seems like a minor gwt bug. You may have to do the same even after moving to 1.14.4. We also got far more error logs on the compile run after cleaning out that directory. Good tip for any further bug reports with GWT you make :)

@lombokissues
Collaborator

End of migration

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment